Skills
Update a skill
Modifies the specified skill's configuration.
Padparameters
name
string
vereist
The name of the skill to update.
Koptekstparameters
Foundry-Features
enum
vereist
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Aanvraagbody
default_version
string
vereist
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Antwoorden
The request has succeeded.
Hoofdtekst
id
string
vereist
The unique identifier of the skill.
name
string
vereist
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
vereist
A human-readable description of the skill.
default_version
string
vereist
The default version for the skill. Can be changed via updateSkill.
latest_version
string
vereist
The latest version for the skill.
Aanvraag
POST /skills/{name} HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json